Category:    
Numbers:

 

Department: EF Affected Products: ADTF Calibration Toolbox 3.0.0
Support Level: 2nd Level Topic: CalibrationTB::XCP

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

Wir sind gerade wieder über Bugs gestolpert, die wir im November (#4929) gefunden haben.

Teilweise sind die bereits gefixt (in der CommLib 2.0).

Wann können wir mit einer neuen Version der adtf-calibration-toolbox rechnen?

Im Zweifel würde ich lieber eine neue Toolbox evaluieren, als die alten Bugs wiederzuentdecken ;)

Dear Jens,

Follow the steps given below to reproduce the error:

1)    Checkout the configuration from https://ef56sql.in.audi.vwg/svn/tools-common/Configurations/T8786_LRR_ObjectList

2)    Activate the default_session

3)    Select "filter config signal editor" option by right click "XCP Decode Filter" in filter graph (default_filter_graph)

4)    Add A2L file (111006_X400_a2l_ADTF_07_D4.xml) as database

5)    Create output pin and drop some signal from database to output pin

6)    Change channel id of the database to "one" through properties window

7)    Click "ok"

8)    Again open "filter config signal editor" (created outpin is now visible under input pin list)

Note: Take care of the absolute path

 Lösung

Wir sind zur Zeit dabei einen Release der Calibration Toolbox (Version 3.1.0) vorzubereiten.

Dieser beinhaltet auch Bugfixes zum Thema Signal Config Filter Editor und sollte die nächsten 2 Wochen ausgeliefert werden.

Hierbei wurden folgende Bugs beseitigt:

Löschen aller Pins und Verbindungen nach erneutem Öffnen des SCFE

Channelproberty

Vertauschte Out- / Inputpins

Zudem kontrollieren wir gerade die Performance des XML - Parsers, welcher die Mapfiles einliest.

Es besteht zudem die Überlegung, den SCFE (inkl. BaseCodec) komplett zu überarbeiten.

Dies würde die Arbeit für Entwickler und Anwender erleichtern.
History

#2 - 2019-05-07 16:24 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to CalibrationTB::XCP

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF Calibration Toolbox 3.1.0 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

#3 - 2019-05-08 07:51 - hidden

Guten Morgen Jens,

vielen Dank für den Hinweis mit den Bugs.

Wir sind zur Zeit dabei einen Release der Calibration Toolbox (Version 3.1.0) vorzubereiten.

Dieser beinhaltet auch Bugfixes zum Thema Signal Config Filter Editor und sollte die nächsten 2 Wochen ausgeliefert werden.

Hierbei wurden folgende Bugs beseitigt:

Löschen aller Pins und Verbindungen nach erneutem Öffnen des SCFE

Channelproberty

Vertauschte Out- / Inputpins

Zudem kontrollieren wir gerade die Performance des XML - Parsers, welcher die Mapfiles einliest.

Es besteht zudem die Überlegung, den SCFE (inkl. BaseCodec) komplett zu überarbeiten.

Dies würde die Arbeit für Entwickler und Anwender erleichtern.

Ich hoffe, ich konnte dir mit dieser Aussage zunächst weiterhelfen.

Viele Grüße,

Michael

#4 - 2019-05-08 07:56 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2019-05-08 08:34 - hidden

Passt für mich. Danke für die Info.

#6 - 2019-05-08 09:09 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Known Problem

#7 - 2019-05-08 09:14 - hidden

- Project changed from 11 to Public Support

- Subject changed from adtf-calibration-toolbox 3.0.0: Signal Config Filter Editor hard to use to Signal Config Filter Editor for XCP is hard to use

- Description updated

- Private changed from Yes to No

- Affected Products ADTF Calibration Toolbox 3.0.0 added

- Affected Products deleted (ADTF Calibration Toolbox 3.1.0)

#8 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
